## org.apache.batik.ext.awt.image.rendered
Class FilterAlphaRed

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.AbstractRed
          org.apache.batik.ext.awt.image.rendered.FilterAlphaRed

All Implemented Interfaces:
  CachableRed, java.awt.image.RenderedImage

public class FilterAlphaRed
extends AbstractRed

This strips out the source alpha channel into a one band image.

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`bounds, cm, minTileX, minTileY, numXTiles, numYTiles, props, sm, srcs, tileGridXOff, tileGridYOff, tileHeight, tileWidth`

Constructor Summary
`FilterAlphaRed(CachableRed src)` Construct an alpah channel from the given src, according to the SVG masking rules.

Method Summary
`java.awt.image.WritableRaster` `copyData(java.awt.image.WritableRaster wr)`

Methods inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`copyBand, copyToRaster, getBounds, getColorModel, getData, getData, getDependencyRegion, getDirtyRegion, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getPropertyNames, getSampleModel, getSources, getTile, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, getXTile, getYTile, init, init, makeTile, updateTileGridInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterAlphaRed

    public FilterAlphaRed(CachableRed src)

  Construct an alpah channel from the given src, according to the SVG masking rules.

Parameters:
  `src` - The image to convert to an alpha channel (mask image)

Method Detail

### copyData

    public java.awt.image.WritableRaster copyData(java.awt.image.WritableRaster wr)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.